[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Building KDE apps on FC4T3 (gcc4)



On Fri, 13 May 2005 17:39:02 +0200, Ralf Ertzinger wrote:

> On Fri, May 13, 2005 at 11:27:58AM -0400, Neal Becker wrote:
> 
> > Anyone know what I should do to fix this?  It seems gcc-4.0.0 is explicity
> > blacklisted.
> 
> gcc4 is known to miscompile some things in kde (has happened a few times
> during FC4 development so far). I do not know the current state of affairs
> wrt. the Fedora gcc4 and the Fedora kde.

Encountered such a version check in latest k3b (0.11.24) for k3b-mp3 and
simply took out the check. It only examines GCC's version macros and does
not take into account that patches may have been applied. For instance,
when I look at "rpm --query --changelog gcc" I see lots of patch-work,
such as fixes from CVS. And since Fedora Core 4 Development including KDE
is built with the same compiler, I believe that Red Hat's compiler
engineers work on fixing any problems that miscompile KDE.

Blacklisting a specific GCC version may be useful for people, who use a
pristine release of GCC, but is not useful for Fedora Core users. It
reminds me somewhat of Red Hat's GCC 2.96, which was hated by many people,
because of initial bugs and because it was so close to GCC 3 that it
rejected a lot of non-standards compliant C/C++ code.

-- 
Fedora Core release 3.91 (Pre-FC4) - Linux 2.6.11-1.1290_FC4
loadavg: 1.50 1.43 0.82


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]